# Get Proofread Status

Retrieves the current status of a specific proofread file using its unique ID.

<Callout icon="📘" theme="info">
  **Note:**

  * This endpoint consumes API credits and is only available to <Anchor label="**Scale** and **Enterprise**" target="_blank" href="https://www.heygen.com/api-pricing">**Scale** and **Enterprise**</Anchor> API plan users.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different proofreading statuses (such as processing or completed) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/video_translate/proofread/status/{proofread_id}": {
      "get": {
        "summary": "Check Proofread Status",
        "description": "Checks the current status of a proofread request using the provided proofread ID.",
        "operationId": "check-proofread-status",
        "parameters": [
          {
            "name": "proofread_id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the proofread. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/generate-proofread\" target=\"_blank\">Generate Proofread </a> endpoint.   "
          }
        ],
        "responses": {
          "200": {
            "description": "Status retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Completed": {
                    "value": {
                      "error": null,
                      "data": {
                        "proofread_id": "9o5488ebd42r4b23b3294dc78324ebaa-ur-ur-PK",
                        "status": "completed",
                        "details": null,
                        "submitted_for_review": false
                      }
                    },
                    "summary": "Completed"
                  },
                  "Processing": {
                    "summary": "Processing",
                    "value": {
                      "error": null,
                      "data": {
                        "proofread_id": "9o5488ebd42r4b23b3294dc78324ebaa-ur-ur-PK",
                        "status": "processing",
                        "details": null,
                        "submitted_for_review": false
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "proofread_id": {
                          "type": "string",
                          "description": "Unique identifier of the proofread.  "
                        },
                        "status": {
                          "type": "string",
                          "description": "Current status of the proofread file. ",
                          "enum": [
                            "processing: File is rendering",
                            "completed: File rendered successfully"
                          ]
                        },
                        "details": {
                          "type": "string",
                          "description": "Details of proofread status. "
                        },
                        "submitted_for_review": {
                          "type": "boolean",
                          "description": "Whether the proofread is submitted for review. "
                        }
                      },
                      "description": "Contains detailed information about the proofread. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```